# osgpointsprite.cpp File Reference

`#include <osg/PointSprite>`
`#include <osg/BlendFunc>`
`#include <osg/StateAttribute>`
`#include <osg/Point>`
`#include <osg/Geometry>`
`#include <osg/Texture2D>`
`#include <osg/TexEnv>`
`#include <osgDB/ReadFile>`
`#include <osgProducer/Viewer>`
`#include <osg/GLExtensions>`

Include dependency graph for osgpointsprite.cpp:

## Functions

osg::Geode * | makeGalaxy (unsigned nvertices)
osg::StateSet * | makeStateSet (float size)
int | main (int, char *[])

## Function Documentation

int main | ( | int | ,
|  | char * | []
| ) |

| Make the galaxy of points

osg::Geode* makeGalaxy | ( | unsigned | nvertices | ) |

| Formula for the two spirals

osg::StateSet* makeStateSet | ( | float | size | ) |

| Setup cool blending Setup the point sprites Give some size to the points to be able to see the sprite Disable depth test to avoid sort problems and Lighting The texture for the sprites